<?php

#########################################################################################################
## INSERT A NEW CORPORATE INTO THE ORDER FORM ###########################################################
#########################################################################################################

if ($R['addCorporateId']) {

	$OK = true;

	// check thec corporate id
	$idCorporate = $R['addCorporateId'];
	$corp = \Entity\Corporate::select($idCorporate);
	if (!$corp->recordExists()) {
		$OK = false;
		$showMessage['warning'] = $_LANG['orderForm']['clientsList']['addCorporate']['noId'];
	}

	// if this is a duplicated corp, the real one is selected
	if ($OK and $corp->idRealCorporate) {
		$idCorporate = $corp->idRealCorporate;
	}

	// add the corporate to the order form handler
	if ($OK) {
		$orderFormHandler->addCorporate($idCorporate);
		$orderFormHandler->storeChanges();
		$updateOwnerDetails=true;
		$showMessage['success'] = $_LANG['orderForm']['clientsList']['addCorporate']['addCorpOk'];
	}

}


#########################################################################################################
## CHANGE CORPORATE OWNER ###############################################################################
#########################################################################################################

if ($R['setOwnerCorporateId']) {

	$OK = true;

	// check thec corporate id
	$idCorporate = $R['setOwnerCorporateId'];
	$corp = \Entity\Corporate::select($idCorporate);
	if (!$corp->recordExists()) {
		$OK = false;
		$showMessage['warning'] = $_LANG['orderForm']['clientsList']['setCorpOwner']['noId'];
	}

	if ($OK) {

		// reset the current corporate owner
		if ( $idCorporate==$orderFormHandler->getOrder()->getField('idCorporateOwner') ) {
			$orderFormHandler->setIdCorporateOwner(0);
		}
		// or select the new one as owner
		else {
			$orderFormHandler->setIdCorporateOwner($idCorporate);
		}
		$orderFormHandler->storeChanges();

		$showMessage['success'] = $_LANG['orderForm']['clientsList']['setCorpOwner']['setOk'];
		$updateOwnerDetails=true;

	}


}

#########################################################################################################
## ELIMINATE A CORPORATE FROM THE RESERVATION ###########################################################
#########################################################################################################

if ($R['deleteCorporateId']) {

	$OK = true;
	$idCorporate = $R['deleteCorporateId'];
	$corp = \Entity\Corporate::select($idCorporate);

	if (!$corp->recordExists()) {
		$OK = false;
		$showMessage['warning'] = $_LANG['orderForm']['clientsList']['delCorporate']['noId'];
	}

	// remove the corporate
	if ($OK) {
		$orderFormHandler->removeCorporate($R['deleteCorporateId']);
		$orderFormHandler->storeChanges();
		$showMessage['success'] = $_LANG['orderForm']['clientsList']['delCorporate']['ok'];
		$updateOwnerDetails=true;
	}

}

#########################################################################################################
## LIST THE CORPORATES ##################################################################################
#########################################################################################################
if ($section=="corporates") {

	// the list of corporates
	$corporatesList= [];

	// get corporate and their details
	foreach($orderFormHandler->getCorporates() as $idCorp) {
		$corporatesList[] = \Entity\Corporate::select($idCorp);
	}

	if (!$corporatesList and !$R['addCorporateId']) {
		$showMessage['info'] = $_LANG['orderForm']['clientsList']['listCorporate']['noResults'];
	}

}
